Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2752133003: Use SimpleQueue in WritableStream implementation (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 1 week ago by Adam Rice
Modified:
6 months ago
Reviewers:
brettw, yhirano
CC:
chromium-reviews, blink-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use SimpleQueue in WritableStream implementation Split out Queue into a separate file from ReadableStream and rename is SimpleQueue to reduce the risk of name collisions on the binding object. Add a peek() method as it is needed by WritableStream. Modify WritableStream to use SimpleQueue. BUG=681493 Review-Url: https://codereview.chromium.org/2752133003 Cr-Commit-Position: refs/heads/master@{#458324} Committed: https://chromium.googlesource.com/chromium/src/+/e123782556b8f18f3a070722dd68ab617a930976

Patch Set 1 #

Patch Set 2 : Update SimpleQueue implementation to match final Queue version #

Patch Set 3 : Remove Queue from ReadableStream.js #

Total comments: 4

Patch Set 4 : Remove stale comments and correct copyright date #

Unified diffs Side-by-side diffs Delta from patch set Stats (+107 lines, -92 lines) Patch
M .gn View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/streams/ReadableStream.js View 1 2 3 7 chunks +6 lines, -76 lines 0 comments Download
A third_party/WebKit/Source/core/streams/SimpleQueue.js View 1 2 3 1 chunk +91 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/streams/WritableStream.js View 1 2 3 8 chunks +9 lines, -16 lines 0 comments Download
Trybot results:  linux_android_rel_ng   win_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   win_chromium_x64_rel_ng   ios-device   linux_chromium_asan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   ios-device-xcode-clang   win_clang   ios-simulator-xcode-clang   linux_chromium_tsan_rel_ng   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   android_n5x_swarming_rel   android_arm64_dbg_recipe   android_compile_dbg   android_clang_dbg_recipe   chromium_presubmit   android_cronet   cast_shell_linux   cast_shell_android   linux_chromium_chromeos_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   mac_chromium_rel_ng   win_clang   linux_chromium_tsan_rel_ng   android_clang_dbg_recipe   android_compile_dbg   android_cronet   linux_chromium_asan_rel_ng   linux_chromium_compile_dbg_ng   ios-device-xcode-clang   chromeos_amd64-generic_chromium_compile_only_ng   ios-device   cast_shell_android   android_arm64_dbg_recipe   linux_chromium_chromeos_ozone_rel_ng   android_n5x_swarming_rel   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   linux_chromium_rel_ng   cast_shell_linux   linux_android_rel_ng   linux_chromium_chromeos_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 23 (16 generated)
Adam Rice
6 months, 1 week ago (2017-03-16 11:51:53 UTC) #6
yhirano
lgtm https://codereview.chromium.org/2752133003/diff/40001/third_party/WebKit/Source/core/streams/ReadableStream.js File third_party/WebKit/Source/core/streams/ReadableStream.js (right): https://codereview.chromium.org/2752133003/diff/40001/third_party/WebKit/Source/core/streams/ReadableStream.js#newcode994 third_party/WebKit/Source/core/streams/ReadableStream.js:994: // Modified from taking the queue (as in ...
6 months, 1 week ago (2017-03-17 13:56:46 UTC) #9
Adam Rice
https://codereview.chromium.org/2752133003/diff/40001/third_party/WebKit/Source/core/streams/ReadableStream.js File third_party/WebKit/Source/core/streams/ReadableStream.js (right): https://codereview.chromium.org/2752133003/diff/40001/third_party/WebKit/Source/core/streams/ReadableStream.js#newcode994 third_party/WebKit/Source/core/streams/ReadableStream.js:994: // Modified from taking the queue (as in the ...
6 months, 1 week ago (2017-03-17 14:02:10 UTC) #10
Adam Rice
+brettw Let me know if you're bored of streams CLs and I'll pick on someone ...
6 months, 1 week ago (2017-03-17 14:03:46 UTC) #12
brettw
If you're changing the V8 parameters that Chrome uses in //.gn, I'm fine with you ...
6 months, 1 week ago (2017-03-20 19:45:57 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752133003/60001
6 months, 1 week ago (2017-03-21 04:34:14 UTC) #20
commit-bot: I haz the power
6 months ago (2017-03-21 06:27:53 UTC) #23
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/e123782556b8f18f3a070722dd68...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b